<?php 

require_once 'lib/gitlab.php';



class GILSRouter {



    function route($uri){
        // Temporary - everything's gonna be the project list
        print ini_get('disable_functions');
        $gitlabapi = new GILSGitlab();
        
        // Translate to a route array
        $ra = GILSUtils::sef2qs($uri);
        //print_r($ra);
        
        //$ra['subsection'] = "misc/docker-mailarchives";
        //$ra['section'] = "containers";
        //$ra['issid'] = "3";
        
        switch ($ra['section']){
            case 'avatars':
                $gitlabapi->getImage("/uploads/-/system/project/avatar/" . $ra['path']);
                break;
        
            case 'commits':
            
                if ($ra['commit'] == "list"){
                    $commit = $gitlabapi->getCommits($ra['subsection']);
                    require "templates/html/commit-list.php";            
                }else{
                    $commit = $gitlabapi->getCommit($ra['subsection'], $ra['commit']);
                    require "templates/html/commit.php";
                }
                break;
            
            case 'containers':
                    $containers = $gitlabapi->getContainers($ra['subsection']);
                    require "templates/html/container-list.php";
                break;
            
            case "projects":
                $projects = $gitlabapi->getProjectList();
                //print_r($projects);
                require "templates/html/project-list.php";
                break;
                
            case "project":  
                $project = $gitlabapi->getProjectAndIssues($ra['subsection']);
                //print_r($project);
                require "templates/html/project-index.php";
                break;
                
            case "issue":
                if ($ra['issid']){           
                        $issue = $gitlabapi->getIssueAndComments($ra['subsection'], $ra['issid']);
                        //print_r($issue);
                        require "templates/html/issue_page.php";
                    }else{
                        $gitlabapi->getImage("/" . $ra['subsection'] . "/" . $ra['img_path']);
                    }
                break;
            
            case "wiki":
                if ($ra['action'] == "list"){
                    $pages = $gitlabapi->getProjectWikiPages($ra['subsection']);
                    require "templates/html/wiki-index.php";
                }else{
                    $page = $gitlabapi->getWikiPage($ra['subsection'], $ra['page']);
                    require "templates/html/wiki-page.php";
                }
                break;
        }
        
    
    }






}
